Sign in to follow this  
Followers 0
jasonmanley87

Zabbix server install - dependency issues

2 posts in this topic

Hello, I have been trying to install Zabbix on a server to monitor quite a few servers. I have the agent installed just fine on everything else, however the server install has been a nightmare.

FTR, we use RHEL forgot the exact version.....

To use the web interface for zabbix 1.8.x (no earlier version will be acceptable here so I've been told), it requires libcurl, version >= 7.13.1. However installing curl through the yum installer only goes up to 7.12.1.

I tried downloading an rpm for it of newer version of libcurl, and zabbix does not find it in the config. It seems when passing the parameters to the config script, you have to send it to the curl-config for some reason like --with-libcurl=/usr/bin/curl-config and then it has issues finding the libraries in /usr/lib, even though they might be there.

I have even tried downloading and compiling the curl source, and pointing to where I installed that, but nothing has worked so far. Any ideas?

0

Share this post


Link to post
Share on other sites

Build libcurl from source but configure it to store the libraries in whichever subdir Zabbix is looking for libraries in. You can pass the destination dirs into the config script most of the time, though sometimes for poorly implemented config scripts you must edit by hand.

Certainly my biggest complaint about having to maintain RHEL/CentOS servers at work...any newish software == dependency hell!

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0